use std::sync::Once;

use librpm::config;

// use librpm
pub mod rpm;

// 使用 Once 对配置进行一次性地初始化
static CONFIGURE: Once = Once::new();

// 使用系统的默认配置
pub fn configure() {
    CONFIGURE.call_once(|| {
        config::read_file(None).unwrap();
    });
}
